#!/bin/bash
if [ $# -lt 1 ]; then 
  echo "Usage: $0 [dataset]"
  echo "[dataset] can be : D2020 || TEST2016 || TEST2018 || CASP11 || CASP12 || CASP13 || CASP14 || CAMEO"
  exit 1
fi

######################################################################################################
arg1=$*
if [ ${arg1} != "D2020" ] && [ ${arg1} != "TEST2016" ] && [ ${arg1} != "TEST2018" ] && [ ${arg1} != "CASP11" ] && [ ${arg1} != "CASP12" ] && [ ${arg1} != "CASP13" ] && [ ${arg1} != "CASP14" ] && [ ${arg1} != "CAMEO" ]; then
  echo "Usage: $0 [Dataset]"
  echo "[Dataset] can be : D2020 || TEST2016 || TEST2018 || CASP11 || CASP12 || CASP13 || CASP14 || CAMEO "
  exit 1
else

  dirt=${PWD}
  dirt_pred=${dirt}/pred
  dirt_model=${dirt}/model
  pphsi_path=${dirt_pred}/${arg1}/pphsi/
  
  echo "[INFO] Dataset: input/data_${arg1}"
  dirt_input=${dirt}/input/data_${arg1}
  lst=${dirt_input}/list_${arg1}
  
  model0=${dirt_model}/esiden0
  model1=${dirt_model}/esiden1
  ########################################################################################################
  
  if [ ${arg1} == "D2020" ]; then
    echo "[INFO] Testing on  || ${arg1} || ..."
    python script/test.py --test_model ${model0} --readfile ${dirt_input}/ --pphsi_path "${pphsi_path}"
  else
    echo "[INFO] Testing on || ${arg1} || ..."
    python script/test.py --test_model ${model1} --readfile ${dirt_input}/ --pphsi_path "${pphsi_path}"
  fi

fi

